Open CASCADE Technology: BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox Class Reference

`#include <BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox.hxx>`

Inheritance diagram for BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox:
[legend]

## Public Member Functions
| BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox ()
| BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox (const BRepAdaptor_Surface &S1, const BRepAdaptor_Surface &S2)
Standard_Integer | NbVariables () const
| Returns the number of variables of the function. More...
Standard_Integer | NbEquations () const
| Returns the number of equations of the function. More...
Standard_Boolean | Value (const math_Vector &X, math_Vector &F)
| Computes the values <F> of the Functions for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
Standard_Boolean | Derivatives (const math_Vector &X, math_Matrix &D)
| Returns the values <D> of the derivatives for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
Standard_Boolean | Values (const math_Vector &X, math_Vector &F, math_Matrix &D)
| returns the values <F> of the functions and the derivatives <D> for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
void | ComputeParameters (const IntImp_ConstIsoparametric ChoixIso, const TColStd_Array1OfReal &Param, math_Vector &UVap, math_Vector &BornInf, math_Vector &BornSup, math_Vector &Tolerance)
Standard_Real | Root () const
gp_Pnt | Point () const
Standard_Boolean | IsTangent (const math_Vector &UVap, TColStd_Array1OfReal &Param, IntImp_ConstIsoparametric &BestChoix)
gp_Dir | Direction () const
gp_Dir2d | DirectionOnS1 () const
gp_Dir2d | DirectionOnS2 () const
const BRepAdaptor_Surface & | AuxillarSurface1 () const
const BRepAdaptor_Surface & | AuxillarSurface2 () const
Public Member Functions inherited from math_FunctionSet
virtual void | Delete ()
virtual | ~math_FunctionSet ()
virtual Standard_Integer | GetStateNumber ()
| Returns the state of the function corresponding to the latestcall of any methods associated with the function. This function is called by each of the algorithms described later which define the function Integer Algorithm::StateNumber(). The algorithm has the responsibility to call this function when it has found a solution (i.e. a root or a minimum) and has to maintain the association between the solution found and this StateNumber. Byu default, this method returns 0 (which means for the algorithm: no state has been saved). It is the responsibility of the programmer to decide if he needs to save the current state of the function and to return an Integer that allows retrieval of the state. More...

## Constructor & Destructor Documentation

BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox::BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox | ( |  | ) |

BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox::BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox | ( | const BRepAdaptor_Surface & | S1,
|  | const BRepAdaptor_Surface & | S2
| ) |  |

## Member Function Documentation

const BRepAdaptor_Surface& BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox::AuxillarSurface1 | ( |  | ) | const

const BRepAdaptor_Surface& BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox::AuxillarSurface2 | ( |  | ) | const

void BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox::ComputeParameters | ( | const IntImp_ConstIsoparametric | ChoixIso,
|  | const TColStd_Array1OfReal & | Param,
|  | math_Vector & | UVap,
|  | math_Vector & | BornInf,
|  | math_Vector & | BornSup,
|  | math_Vector & | Tolerance
| ) |  |

Standard_Boolean BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox::Derivatives | ( | const math_Vector & | X,
|  | math_Matrix & | D
| ) |  |
| virtual

Returns the values <D> of the derivatives for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements math_FunctionSetWithDerivatives.

gp_Dir BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox::Direction | ( |  | ) | const

gp_Dir2d BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox::DirectionOnS1 | ( |  | ) | const

gp_Dir2d BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox::DirectionOnS2 | ( |  | ) | const

Standard_Boolean BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox::IsTangent | ( | const math_Vector & | UVap,
|  | TColStd_Array1OfReal & | Param,
|  | IntImp_ConstIsoparametric & | BestChoix
| ) |  |

Standard_Integer BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox::NbEquations | ( |  | ) | const
| virtual

Returns the number of equations of the function.

Implements math_FunctionSetWithDerivatives.

Standard_Integer BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox::NbVariables | ( |  | ) | const
| virtual

Returns the number of variables of the function.

Implements math_FunctionSetWithDerivatives.

gp_Pnt BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox::Point | ( |  | ) | const

Standard_Real BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox::Root | ( |  | ) | const

Standard_Boolean BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox::Value | ( | const math_Vector & | X,
|  | math_Vector & | F
| ) |  |
| virtual

Computes the values <F> of the Functions for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements math_FunctionSetWithDerivatives.

Standard_Boolean BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox::Values | ( | const math_Vector & | X,
|  | math_Vector & | F,
|  | math_Matrix & | D
| ) |  |
| virtual

returns the values <F> of the functions and the derivatives <D> for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements math_FunctionSetWithDerivatives.

The documentation for this class was generated from the following file:

- BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox.hxx